/**
 * 计算当前绘制的几何图形对象范围
 * @param geometry 当前绘制的几何图形对象
 * @returns 当前绘制的几何图形对象范围
 */
export declare function calcGeometryRange(zondy: any, geometry: any): any;
/**
 * 计算缓冲距离
 *
 * @param geometry 当前绘制的几何图形对象
 * @param layer 计算缓冲距离的图层
 * @returns 缓冲距离
 */
export declare function calcBufferDistance(zondy: any, viewState: any, geometry: any, bufferDistance: any, bufferUnit: any): number;
/**
 * 计算缓冲距离(返回像素值)
 *
 * @param geometry 当前绘制的几何图形对象
 * @param layer 计算缓冲距离的图层
 * @returns 缓冲距离(像素)
 */
export declare function calcPixelDistance(zondy: any, viewState: any, geometry: any, bufferDistance: any, bufferUnit: any): any;
/**
 * 根据分辨率计算缓冲距离
 * @param metersPerCoordinateUnit 米/坐标系单位
 * @param bufferDistance 缓冲距离
 * @returns 缓冲距离
 */
export declare function calcBufferDistanceByResolution(zondy: any, viewState: any, metersPerCoordinateUnit: any, bufferDistance: any): number;
/**
 * 获取当前视图分辨率
 * @returns 当前视图分辨率
 */
export declare function getViewResolution(zondy: any, viewState: any): any;
/**
 * Cesium获取指定点的显示级别和分辨率
 * @param lnglat 经纬度坐标
 * @returns 当前显示级别和分辨率
 */
export declare function getZoomAndResolutionOnCesium(viewState: any, lnglat: any): {
    zoom: number;
    resolution: any;
};
